summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-06-15 12:43:43 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-06-15 12:43:43 +0000
commitcc5ca7b72b049e8a8273c9281c3fdb33241bafc7 (patch)
treed4035a814b696bfe19d8153a84e0df4d0c177e18 /dev-python
parent9e1a40fe0ee931ab0f09d8f8656ced9b5fee7b43 (diff)
downloadbaldeagleos-repo-cc5ca7b72b049e8a8273c9281c3fdb33241bafc7.tar.gz
baldeagleos-repo-cc5ca7b72b049e8a8273c9281c3fdb33241bafc7.tar.xz
baldeagleos-repo-cc5ca7b72b049e8a8273c9281c3fdb33241bafc7.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Babel/Babel-2.10.2.ebuild54
-rw-r--r--dev-python/Babel/Manifest2
-rw-r--r--dev-python/aesara/Manifest1
-rw-r--r--dev-python/aesara/aesara-2.7.2.ebuild90
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.24.9.ebuild68
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.27.9.ebuild70
-rw-r--r--dev-python/cython/cython-0.29.30.ebuild2
-rw-r--r--dev-python/discogs-client/Manifest1
-rw-r--r--dev-python/discogs-client/discogs-client-2.3.15.ebuild35
-rw-r--r--dev-python/discogs-client/discogs-client-9999.ebuild6
-rw-r--r--dev-python/google-api-python-client/Manifest1
-rw-r--r--dev-python/google-api-python-client/google-api-python-client-2.51.0.ebuild53
-rw-r--r--dev-python/google-auth/Manifest1
-rw-r--r--dev-python/google-auth/google-auth-2.8.0.ebuild58
-rw-r--r--dev-python/hatchling/Manifest5
-rw-r--r--dev-python/hatchling/hatchling-0.25.0.ebuild74
-rw-r--r--dev-python/hatchling/hatchling-1.0.0.ebuild74
-rw-r--r--dev-python/hatchling/hatchling-1.1.0.ebuild74
-rw-r--r--dev-python/hatchling/hatchling-1.2.0.ebuild74
-rw-r--r--dev-python/hatchling/hatchling-1.3.0.ebuild74
-rw-r--r--dev-python/hatchling/hatchling-1.3.1.ebuild2
-rw-r--r--dev-python/hatchling/metadata.xml1
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.47.3.ebuild76
-rw-r--r--dev-python/networkx/Manifest1
-rw-r--r--dev-python/networkx/networkx-2.8.4.ebuild58
-rw-r--r--dev-python/outcome/Manifest1
-rw-r--r--dev-python/outcome/outcome-1.2.0.ebuild37
-rw-r--r--dev-python/pivy/pivy-0.6.7.ebuild2
-rw-r--r--dev-python/proto-plus/Manifest3
-rw-r--r--dev-python/proto-plus/proto-plus-1.20.0.ebuild42
-rw-r--r--dev-python/proto-plus/proto-plus-1.20.6.ebuild (renamed from dev-python/proto-plus/proto-plus-1.20.1.ebuild)12
-rw-r--r--dev-python/pydevd/pydevd-2.8.0-r1.ebuild2
-rw-r--r--dev-python/pyghmi/Manifest4
-rw-r--r--dev-python/pyghmi/pyghmi-1.5.43.ebuild39
-rw-r--r--dev-python/pyghmi/pyghmi-1.5.44.ebuild39
-rw-r--r--dev-python/pyghmi/pyghmi-1.5.47.ebuild (renamed from dev-python/pyghmi/pyghmi-1.5.42.ebuild)0
-rw-r--r--dev-python/pylint/Manifest1
-rw-r--r--dev-python/pylint/pylint-2.14.2.ebuild80
-rw-r--r--dev-python/python-debian/Manifest1
-rw-r--r--dev-python/python-debian/python-debian-0.1.44.ebuild48
-rw-r--r--dev-python/qtawesome/qtawesome-1.1.1.ebuild39
-rw-r--r--dev-python/zeroconf/Manifest1
-rw-r--r--dev-python/zeroconf/zeroconf-0.38.7.ebuild50
46 files changed, 810 insertions, 549 deletions
diff --git a/dev-python/Babel/Babel-2.10.2.ebuild b/dev-python/Babel/Babel-2.10.2.ebuild
new file mode 100644
index 000000000000..b97351c0ee33
--- /dev/null
+++ b/dev-python/Babel/Babel-2.10.2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+# see scripts/download_import_cldr.py
+CLDR_PV=41.0
+DESCRIPTION="Collection of tools for internationalizing Python applications"
+HOMEPAGE="
+ https://babel.pocoo.org/
+ https://pypi.org/project/Babel/
+ https://github.com/python-babel/babel/
+"
+SRC_URI="
+ mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
+ https://unicode.org/Public/cldr/${CLDR_PV%.*}/cldr-common-${CLDR_PV}.zip
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ dev-python/pytz[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/backports-zoneinfo[${PYTHON_USEDEP}]
+ ' 3.8)
+"
+BDEPEND="
+ app-arch/unzip
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+python_configure_all() {
+ rm babel/locale-data/*.dat || die
+ rm babel/global.dat || die
+ "${EPYTHON}" scripts/import_cldr.py "${WORKDIR}"/common || die
+}
+
+python_test() {
+ local -x TZ=UTC
+ epytest
+}
diff --git a/dev-python/Babel/Manifest b/dev-python/Babel/Manifest
index 052c66a72536..048ea62b416b 100644
--- a/dev-python/Babel/Manifest
+++ b/dev-python/Babel/Manifest
@@ -1 +1,3 @@
DIST Babel-2.10.1.tar.gz 9342917 BLAKE2B fe9f4cff416a57b4964481afcf9cf154b3d9e2c0c88b2b97786cbede1cb068f9637a2168a819dd94770ce3a5836ee8096b2fe7131d2dff16eb0a31a924b9fae1 SHA512 d6f8876bc47d2ad88277f5a9512abb177518b79d4f477cdba11d1cd1af8fb92bfd033c2c05c7a6c32dbd087a28189288f8ac80f9b654027b3e026a06c4ade127
+DIST Babel-2.10.2.tar.gz 9346156 BLAKE2B f6d8c3ccc00c5384c52d98d9939e58a2ec6f16dafd89b5ae5b5a302db16ff1d773d5843d1aca6a4cede859aa7dfa33ebbe4c49bd06c2720e0aa916a097d26fdd SHA512 d292cd26e8eeeed699a8307540a10bb5521a118940928eecf56622d22c01fd566b1c22cd86b33d92c0c1fe3eaaf8c0d634636d288f74f18cb297137de6fdc842
+DIST cldr-common-41.0.zip 29364494 BLAKE2B 1960e860017c3e5f31d935d66a1ff551720975dca0af459adc72b8dc54100938fbd2d2ef00eb457f3fd04d4f1e90a4783229c350b125029dcda5c1e6903f9a54 SHA512 c64f3338e292962817b043dd11e9c47f533c9b70d432f83e80654e20f4937c72b37e66a60485df43f734b1ff94ebf0452547a063076917889303c9653b4d6ce5
diff --git a/dev-python/aesara/Manifest b/dev-python/aesara/Manifest
index 939c1ea7103a..b2c37f22e5b0 100644
--- a/dev-python/aesara/Manifest
+++ b/dev-python/aesara/Manifest
@@ -1,3 +1,4 @@
DIST aesara-rel-2.6.6.tar.gz 7847814 BLAKE2B e4edd575d49f548fab0ef971dbab88beeb43859ec7b80612145ed490b31d6e7dc6b6818653396938124a22fa2f54f8d151c5039cc2e9c9070c88cce9cb1c5596 SHA512 028a208fc7e5921ce1df34dd23a42cf90d419e06f0192d9a006ebfb8c5f36e35e347214e53f53e688a1144063c7f4853a8cd44eef6fc205225147116839008de
DIST aesara-rel-2.7.0.gh.tar.gz 7854953 BLAKE2B 0daee9dcad9c39d1eddd469930cb540369f9463f947d706691fe1552b8e39340743aa8d8a809fe8b7943bba253ef1b93018738ca13be7147114ab6cf77a3ee37 SHA512 b03a182f366624b496bee46b86d43c68b94d840503317af74113bd5b1c6fefc31e4e4d96d6c5dd129212904729127da949cebf05c5a162711d3872e1747c93a8
DIST aesara-rel-2.7.1.gh.tar.gz 7857341 BLAKE2B edc31030810ec4193901d258c8666080219befccca17bc6165968f959bd57661f92de86720561ab54266906e2be1a83e0fef3e81a62c2810f0b78cda1dbc5265 SHA512 85a4b24a5f58cbb95db448d01140ff64f9ea39242b204a49ddbb2ff8827a16d0ba454764ed3ce9d2b6ed58a7494c452cda39582ae89691d44d8f91ec43e1f50d
+DIST aesara-rel-2.7.2.gh.tar.gz 7922993 BLAKE2B cc8e287003d0984de253925585fbb5d27c33efc1a5472ae83b2ade7cf97f91ec01f4a0c5f736df948ea5b604ea10cdfecff20fa097b1e25243ee0882bc47b9bc SHA512 c95db5dd13c5abdb9772fc376e8196b4bb763b0c16bdb6c0987d60b5b43b0232349126938aea8f8b534ac3c0627a9d7fe4fcaa910598b75c0798c224b0b8836e
diff --git a/dev-python/aesara/aesara-2.7.2.ebuild b/dev-python/aesara/aesara-2.7.2.ebuild
new file mode 100644
index 000000000000..93d345f4450f
--- /dev/null
+++ b/dev-python/aesara/aesara-2.7.2.ebuild
@@ -0,0 +1,90 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing optfeature
+
+MY_P=aesara-rel-${PV}
+DESCRIPTION="Library for operating on mathematical expressions with multi-dimensional arrays"
+HOMEPAGE="
+ https://github.com/aesara-devs/aesara/
+ https://pypi.org/project/aesara/
+"
+SRC_URI="
+ https://github.com/aesara-devs/aesara/archive/rel-${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/cons[${PYTHON_USEDEP}]
+ dev-python/etuples[${PYTHON_USEDEP}]
+ dev-python/logical-unification[${PYTHON_USEDEP}]
+ dev-python/minikanren[${PYTHON_USEDEP}]
+ dev-python/filelock[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.17.0[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/aesara-2.6.5-compiledir-tid.patch
+)
+
+distutils_enable_sphinx doc 'dev-python/sphinx_rtd_theme'
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # speed tests are unreliable
+ tests/scan/test_basic.py::test_speed
+ tests/scan/test_basic.py::test_speed_rnn
+ tests/scan/test_basic.py::test_speed_batchrnn
+ tests/link/test_vm.py::test_speed
+ tests/link/test_vm.py::test_speed_lazy
+ tests/tensor/test_gc.py::test_merge_opt_runtime
+
+ # rounding problem?
+ # https://github.com/aesara-devs/aesara/issues/477
+ tests/tensor/test_math_scipy.py::TestGammaUBroadcast::test_good
+ tests/tensor/test_math_scipy.py::TestGammaUInplaceBroadcast::test_good
+ )
+ local EPYTEST_IGNORE=(
+ # we do not package numba
+ tests/link/test_numba.py
+ tests/link/test_numba_performance.py
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x AESARA_FLAGS="cxx=${CXX}"
+ AESARA_FLAGS+=",config.gcc__cxxflags=\"${CXXFLAGS}\""
+ AESARA_FLAGS+=',compiledir_format="compiledir_%(thread_id)s"'
+
+ epytest -p xdist.plugin -n "$(makeopts_jobs)"
+ # clean up the compiledir, as it can grow pretty large
+ rm -r "${HOME}"/.aesara || die
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ rm "${BUILD_DIR}/install$(python_get_sitedir)/bin/__init__.py" || die
+}
+
+pkg_postinst() {
+ optfeature "GPU code generation/execution on NVIDIA gpus" dev-util/nvidia-cuda-toolkit dev-util/nvidia-cuda-sdk
+ optfeature "GPU/CPU code generation on CUDA and OpenCL devices" dev-libs/libgpuarray dev-python/pycuda
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 422057d05b5f..be152ce9b8d2 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -6,3 +6,4 @@ DIST boto3-1.24.5.gh.tar.gz 508100 BLAKE2B 5ad9e6325a507ea94738eebee58200b4c4e96
DIST boto3-1.24.6.gh.tar.gz 508258 BLAKE2B 705b01006dfa63e386b39a0c4e791e0d9f2e4c5ae72bda3245843ba802556b1328214f80df788497d8b646882af816cfdba6d2769fe5bef82cbaf629fe9fcac6 SHA512 198df4e2f1e5f42bf0faa8baaea0bbc3d88fffda435afc3eccfdcc56940773dcdf43e8cb533a48265907bd118d8e969c7f9b37affb6508a8147ecee486017d92
DIST boto3-1.24.7.gh.tar.gz 508670 BLAKE2B d526f6a4dc4c6126c61ca7c9074b4341c742f84a6e95b38cd8a450fb74df379cee44513e1be6bc7cd0c8f728598d0ecfc06240120a8da71f75f86371498f5233 SHA512 4d57e38c18138b950f93a234132ac1d31c9a29ad00ca5e1298517d6b16ff2849802ce6cfeb8de390c2eb25086043d45e0276a7a563707595649ca1905367be52
DIST boto3-1.24.8.gh.tar.gz 508760 BLAKE2B b904db3d57e2f7b6399670884f1c82d144840ed30b1a2e2955b33322ef24dba051aa1e19e49fcf3e449b8d0948d7715a37e300030c490a28a836e6c16923f82c SHA512 6abd7eb7591269c9b74c4cea1a8c52f4ccb1d7503ef2784e010ae20cd623bae340ff23301646dd51d1442a3a6a920e235362e2c6f872834fbb6233304c1a69fc
+DIST boto3-1.24.9.gh.tar.gz 508882 BLAKE2B 67943139aebcbe67a3a084ed696b66c088a28beba90ba86758a22e2544ad9604fb507590f500deea75db4d189a7ffbccd687fe636de02ed68908bdc960c03a50 SHA512 250be46943df9b89da3ebb687144592b77fd233785da854c45a4e7c06e7a663c4a7779ef404a257ac72082dda776693d410b20a261859dd7866624e204f770a7
diff --git a/dev-python/boto3/boto3-1.24.9.ebuild b/dev-python/boto3/boto3-1.24.9.ebuild
new file mode 100644
index 000000000000..e4a98e2e28f5
--- /dev/null
+++ b/dev-python/boto3/boto3-1.24.9.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 6c6820271b7b..ea83922ddfa7 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -6,3 +6,4 @@ DIST botocore-1.27.5.tar.gz 9110489 BLAKE2B 0cafef7d573de45613b3a03e94c7ddedc6fc
DIST botocore-1.27.6.tar.gz 9109990 BLAKE2B ca3b1f4d14f4bbce87dcd989caf2fa79e475471c951ae13b2804e89f21a1dbf4949cbaba0abcf766f7a324f2b214135643b8d33f02a0866a06a5d81a1e50aa33 SHA512 a2e40d6b875b50bc8fe4180d8ad74a6f72c01f79d0130f9f4107436027fd0b40634359a5b9273bc9fd2eded16d14f40bd297467e57cc65707a495c312618d766
DIST botocore-1.27.7.tar.gz 9102259 BLAKE2B 094ec463531f1dfd54ff32d0f44ebc39cdc0a6d4c3e19b49a25e25d9d13acdcd26c782c1d4819ea4f1cb8954a858aa6e997411785678700b7ca03cd8844527b5 SHA512 d4a1327f4314279548af00fbc6da2f9fc5f25f704da3f6ddfa90773878f28ac9f03556b00fa4c0207ec2e952eb716aa98c1c22abffbd51d82dc55d9e4ceeca5c
DIST botocore-1.27.8.tar.gz 9103145 BLAKE2B c4e5605ba17219e39499e0809b67b0834bd561bd5dcfa43846cd3132305ba1d811044a1630ecb1bd8315ebc65bae5443efe89a15b6a4f11971aa758bdaa2162c SHA512 61bd87164104135684a6e01b89102eabd5cf9b9115d014d3c08450508d776cbea007b2f072171d380507eb745725919438a742d3cfd6fe32d74bf0f5ac97f04a
+DIST botocore-1.27.9.tar.gz 9104233 BLAKE2B 673b209aa07ff82233d11dcc7661ceddb92bfd97699917840fc95391103f676b28f3fc55488be9e75eb822333ef8f4ad16a2fc7397067fd6271ffc200d806216 SHA512 5d7537287e8a7ede91296c5ac2313ef590f2fcabce5b615ecf0cf58a557b7cba68d826bb014f0e1b26484e16db1f3db8a78b0abe084cfc5f53406f4c830d9c9a
diff --git a/dev-python/botocore/botocore-1.27.9.ebuild b/dev-python/botocore/botocore-1.27.9.ebuild
new file mode 100644
index 000000000000..97701266bf61
--- /dev/null
+++ b/dev-python/botocore/botocore-1.27.9.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/botocore-1.26.0-py311.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/cython/cython-0.29.30.ebuild b/dev-python/cython/cython-0.29.30.ebuild
index 6685f63ecd53..ebd38c8506df 100644
--- a/dev-python/cython/cython-0.29.30.ebuild
+++ b/dev-python/cython/cython-0.29.30.ebuild
@@ -22,7 +22,7 @@ SRC_URI="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris ~x86-solaris"
IUSE="emacs test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/discogs-client/Manifest b/dev-python/discogs-client/Manifest
index e240e22a0f27..9360bdab0727 100644
--- a/dev-python/discogs-client/Manifest
+++ b/dev-python/discogs-client/Manifest
@@ -1 +1,2 @@
DIST python3-discogs-client-2.3.14.tar.gz 34461 BLAKE2B 7212e220e1ea68bf71e8ddf54ee5d820e7cb7203e1d34b34abf818227e1f842b6ea680101e7a761ae448d0dbc298e8c33ae9969c7c3d1c93ca912d92274d52c0 SHA512 356faf54025691a3af74d947589132d5c159176146669572d14490ece05a0e4546bf0a05bfee4669518c157957cc52eb7842008e7da5555347365236ae19b63d
+DIST python3-discogs-client-2.3.15.tar.gz 35059 BLAKE2B fe2b577b4810480fcad8a76c8f961809baa5b217c0d01c262f4a6a0a2993b2a6d2515edf90f276f7a104f6bdf0a1edb0f439c69e51507e3c0cf1ab927049e7f7 SHA512 8da52cc6c125cc4b3c5fb93626075ba32046798f71f72cc9f685fdf10a92a813fbd74b35625994cd4c6b7e394e36265ce01a33b52b607bf498a5f11f68d82ad9
diff --git a/dev-python/discogs-client/discogs-client-2.3.15.ebuild b/dev-python/discogs-client/discogs-client-2.3.15.ebuild
new file mode 100644
index 000000000000..e534653e2d70
--- /dev/null
+++ b/dev-python/discogs-client/discogs-client-2.3.15.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="https://github.com/joalla/discogs_client.git"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/p/python3-${PN}/python3-${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+ S="${WORKDIR}/python3-${P}"
+fi
+
+DESCRIPTION="Continuation of the official Python API client for Discogs"
+HOMEPAGE="
+ https://github.com/joalla/discogs_client/
+ https://pypi.org/project/python3-discogs-client/
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+
+RDEPEND="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/oauthlib[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/discogs-client/discogs-client-9999.ebuild b/dev-python/discogs-client/discogs-client-9999.ebuild
index 419609d2cb4c..e534653e2d70 100644
--- a/dev-python/discogs-client/discogs-client-9999.ebuild
+++ b/dev-python/discogs-client/discogs-client-9999.ebuild
@@ -18,8 +18,10 @@ else
fi
DESCRIPTION="Continuation of the official Python API client for Discogs"
-HOMEPAGE="https://github.com/joalla/discogs_client
- https://pypi.org/project/python3-discogs-client/"
+HOMEPAGE="
+ https://github.com/joalla/discogs_client/
+ https://pypi.org/project/python3-discogs-client/
+"
LICENSE="BSD-2"
SLOT="0"
diff --git a/dev-python/google-api-python-client/Manifest b/dev-python/google-api-python-client/Manifest
index 1a877d4dd1fd..50190feee89f 100644
--- a/dev-python/google-api-python-client/Manifest
+++ b/dev-python/google-api-python-client/Manifest
@@ -2,3 +2,4 @@ DIST google-api-python-client-2.47.0.gh.tar.gz 30118538 BLAKE2B 601a02ffdb76b921
DIST google-api-python-client-2.48.0.gh.tar.gz 30483162 BLAKE2B fa6371d2cb5b27184eb0e16ea0ef9875af2dfd83b2d34dd84272c2942589f712b35451b9150f38722501edfe5a4b8a506b3f52fedffbb48af31c20dc36a59cfb SHA512 0789aca32b01304095702d908c8ff31d2b4ddd771ed8cf3b3f99f15091fd1eea782000c58646c7760811a40252e5f1982876278f4cdd23e3f8cf672682693605
DIST google-api-python-client-2.49.0.gh.tar.gz 30499625 BLAKE2B 7c0591b5567c1e9e5840430d490041d0ffea4beca8ec1e56eda0c5c8c6f4ff1e5f9126c4158e370e6c4011a6499e1d41203f83c9e4747dd830606406cef65e23 SHA512 ae53cc4cf18949f75aef9ca39fc2a964242fd556c1c19bb3aa8cd48b94a23deef9788b1c1877923a5ae4af990dff0f6138fb2157d2577fda80f8a86f1f642709
DIST google-api-python-client-2.50.0.gh.tar.gz 30751763 BLAKE2B 4fa967932d13fa03640970ba2b6b1756864d88e4953deb5c9cf89a4556bd2cb3f1083f2e141b89a08936a40ddea64e45d65b5d9afe4024edf94a56c5ccb32798 SHA512 8dcdb85f2f37d4c668924abba46f0012ad453dc0775b373dc9fc510020479b1dc8a22cd85980ab97bcd4e7bdff19c78d829b1d758e9105a71c3ac7aa0cb19946
+DIST google-api-python-client-2.51.0.gh.tar.gz 31181726 BLAKE2B 465cbc3beb870a543bb54b69342d1a4e75026fa3c83846a3641e048b922cfa14ccb56593a0e8feadf4bf30568425347b14f5f1dd081d5d74fa1112bb0d57caa3 SHA512 ea9e9424aa36e077f10922dba9d6bf43f376d5e059c5d0fc7a31ef919232eb7778a891104fe3a7328e841381d5cd2cd76cdfb1fb80458c979f83a935f8b1df5a
diff --git a/dev-python/google-api-python-client/google-api-python-client-2.51.0.ebuild b/dev-python/google-api-python-client/google-api-python-client-2.51.0.ebuild
new file mode 100644
index 000000000000..95188afdf1fa
--- /dev/null
+++ b/dev-python/google-api-python-client/google-api-python-client-2.51.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Google API Client for Python"
+HOMEPAGE="
+ https://github.com/googleapis/google-api-python-client/
+ https://pypi.org/project/google-api-python-client/
+"
+SRC_URI="
+ https://github.com/googleapis/google-api-python-client/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/httplib2-0.15[${PYTHON_USEDEP}]
+ <dev-python/httplib2-1[${PYTHON_USEDEP}]
+ >=dev-python/google-api-core-2.3.1[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.35.0[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-httplib2-0.1.0[${PYTHON_USEDEP}]
+ >=dev-python/uritemplate-3.0.0[${PYTHON_USEDEP}]
+ <dev-python/uritemplate-5[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/oauth2client[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # require Internet access (and credentials)
+ tests/test_discovery.py::DiscoveryErrors::test_credentials_and_credentials_file_mutually_exclusive
+ tests/test_discovery.py::DiscoveryFromDocument::test_api_endpoint_override_from_client_options_mapping_object
+ )
+
+ epytest tests
+}
diff --git a/dev-python/google-auth/Manifest b/dev-python/google-auth/Manifest
index 54091bdbb377..6ce08cee0402 100644
--- a/dev-python/google-auth/Manifest
+++ b/dev-python/google-auth/Manifest
@@ -1,2 +1,3 @@
DIST google-auth-2.6.6.tar.gz 189789 BLAKE2B 8adf725ac8678a07c6c35f641950c5da0f269e8556074b5832a08267cbb64237dda817c576b15fbb315fd0a018e30bca1fa1f5a0d1f85aaae4ab2bd58538b191 SHA512 bac6345bf142a8dc6acde0bec43a8fd78f76277740114a0557af88748a5ec2f509757e6099f570ed037b2265717f339fe319254a826793d0b16f1a7d227a6b09
DIST google-auth-2.7.0.tar.gz 195638 BLAKE2B 487047f75c3fabde929a451d009ebfcb89ef816cad07cd6fda7b436c69f6eedee6dad64780df743ea133b66aab72f75f0185263fd542eb1475d642d7a6e2e2b9 SHA512 ba506619b1392dcd85b71f9ea68dd3acadcb93c4017030d2d812d383c971e6917ed074e64b9a554db9879d61b229a1d35a041c487a517113652934a6849122e5
+DIST google-auth-2.8.0.tar.gz 199717 BLAKE2B 9814b2967336622ef043721a21a4d4334ed59cd743e75a41e67fdb87aec00094a30d89c49b73144bfb9b2e8e88e4bb7141081df7ea1abf317aa9f516c9657e9f SHA512 01096dfdf4ff59b95e32f8734771046ac11e12cadb72f2f4b9274c15c097aa951da3675660009ff23455c7814c4d7797e22b4b294c5d62c2dea5dd655855aec4
diff --git a/dev-python/google-auth/google-auth-2.8.0.ebuild b/dev-python/google-auth/google-auth-2.8.0.ebuild
new file mode 100644
index 000000000000..b54cee0615a6
--- /dev/null
+++ b/dev-python/google-auth/google-auth-2.8.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Google Authentication Library"
+HOMEPAGE="
+ https://github.com/googleapis/google-auth-library-python/
+ https://pypi.org/project/google-auth/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ <dev-python/cachetools-6.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-modules-0.2.1[${PYTHON_USEDEP}]
+ >=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ !dev-python/namespace-google
+"
+BDEPEND="
+ test? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/grpcio[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/moto[${PYTHON_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/pyu2f[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # these are compatibility tests with oauth2client
+ # disable them to unblock removal of that package
+ tests/test__oauth2client.py
+)
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/hatchling/Manifest b/dev-python/hatchling/Manifest
index dfe9a6754aa8..a41e1b822f82 100644
--- a/dev-python/hatchling/Manifest
+++ b/dev-python/hatchling/Manifest
@@ -1,7 +1,2 @@
DIST hatch-hatchling-v0.24.0.tar.gz 212154 BLAKE2B fc0fcdd20eb1a1040298a4c959911d291ca454cf82404b0a7a67a9d192e3af0b8ee5a50d169e803bd5602775cf3f9336fd56d83c6fa85aa8d9f805269205ed29 SHA512 f4a1764f129c6e3098d0b0c744dca4f0b499c43d53dcebffc7aa26e28e3f599a9370e0f1f8ee9b9130042f066e1c857e155ffbdcf86d2c18e32ff5bc9219c51e
-DIST hatch-hatchling-v0.25.0.tar.gz 216944 BLAKE2B 298f284bc05bbba6c463d4c22ddbbd1438a3a068de2a14300343803f706f2bc3a69be83bdbb1876f4f2474e7cb1ac4e98226108ad290c5097bbc1135367b7183 SHA512 1cfc8ea27e46e316efeeee321e17770995e495f0b6a722b89d9632af7902e3a7ee7c5a729b8ca27e490a94b7ddcda9b4e03dd7274b305f928b0e31a469a1643f
-DIST hatch-hatchling-v1.0.0.tar.gz 216365 BLAKE2B cb6b648d103c7e9848b1a15cd62aaf3ab39c458f83f6c56cf039a136b39ae6c59ba487c36860582f98fb1ede6b3c2dab148b023499b5e4a30de9d063379118c3 SHA512 e16b0c53705fe090713f40d661e4ac9a4d0c2ae22f9193fcbaa1eb4ba146a36642b5e188574ad00b6ddd06c60537db0eba18fe9f2676cc988effc9d74e0dffc4
-DIST hatch-hatchling-v1.1.0.tar.gz 216865 BLAKE2B 82d168d518b84c26033d81002b22eb347a2b0c2abb26b79ef4aacaa3804924348e090c4d87b728e80a30bfacf7d8634be6c6f35d3cfcb95fd9e1ff50d35d4595 SHA512 062773f8f1d472602ba589022ec56a7d3dc4068ae66ec5e773912a793524649f73effe7b61c76f5a1cf6b264d2499d8d8660efcc0189f9bbbf60b4b948740dc5
-DIST hatch-hatchling-v1.2.0.tar.gz 216988 BLAKE2B b8f0fd0286075bb58e3ae875232c35cc5307582930ce03e8564c818d95f96be13f8bfbda950fe14257ab639b87a58fdd9f13fd5f024b70b5d16d12242a7ddeb4 SHA512 08bbaf8a9315d8e5a69ff09bf3121d9fdc7559e214c25203b61248e8c09b283076e3235261194cabc135f1eb0d6fa3ad1a9c1c9e02de45bcb7d9f3515b4246f6
-DIST hatch-hatchling-v1.3.0.tar.gz 219864 BLAKE2B 146c839cb41f32f2afadbb17816ec9171755b62bacaf59dd96e33d1105d8fe104a98baf7ff54f3bd296e4c0dcceb72dd42d54c7676946f41fd49bbfa6ba505de SHA512 03caa35a05332f55ac235a87d9549c201a564896cb409625efdfd25fee8a0c110a753bafcc93da1c602752bb965b599e81e8106d24a26503abb01a8f90457aed
DIST hatch-hatchling-v1.3.1.gh.tar.gz 220023 BLAKE2B db336126d8c5235eab57ca53e2f8832b9590513f40215ff4b51d1b60c43b0d971b472dc4434cfcf77406143a4ed3172a2fcd95d4c7d11a6f39ccd937f9eff9e6 SHA512 21fa8bd4ffe0bec5ae9f8b9716ce3b7ece45c6a62bc74f0cd49f759baaa5b21343bcc9f2a8e505f0b724b7d73a4c1f84c863a29e064e95f4aa1a288098adc8d3
diff --git a/dev-python/hatchling/hatchling-0.25.0.ebuild b/dev-python/hatchling/hatchling-0.25.0.ebuild
deleted file mode 100644
index 5a0986acfd11..000000000000
--- a/dev-python/hatchling/hatchling-0.25.0.ebuild
+++ /dev/null
@@ -1,74 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=standalone
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-
-inherit distutils-r1
-
-TAG=${P/-/-v}
-MY_P=hatch-${TAG}
-DESCRIPTION="Modern, extensible Python build backend"
-HOMEPAGE="
- https://pypi.org/project/hatchling/
- https://github.com/pypa/hatch/
-"
-SRC_URI="
- https://github.com/pypa/hatch/archive/${TAG}.tar.gz
- -> ${MY_P}.tar.gz
-"
-S=${WORKDIR}/${MY_P}/backend
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
-
-RDEPEND="
- >=dev-python/editables-0.2[${PYTHON_USEDEP}]
- >=dev-python/packaging-21.3[${PYTHON_USEDEP}]
- >=dev-python/pathspec-0.9[${PYTHON_USEDEP}]
- >=dev-python/pluggy-1.0.0[${PYTHON_USEDEP}]
- >=dev-python/tomli-1.2.2[${PYTHON_USEDEP}]
-"
-BDEPEND="
- ${RDEPEND}
- test? (
- $(python_gen_cond_dep '
- dev-python/atomicwrites[${PYTHON_USEDEP}]
- dev-python/click[${PYTHON_USEDEP}]
- dev-python/httpx[${PYTHON_USEDEP}]
- dev-python/platformdirs[${PYTHON_USEDEP}]
- dev-python/rich[${PYTHON_USEDEP}]
- dev-python/tomli-w[${PYTHON_USEDEP}]
- dev-python/virtualenv[${PYTHON_USEDEP}]
- ' pypy3 python3_{8..10} # TODO: 3.11 when deps are ported
- )
- )
-"
-
-distutils_enable_tests pytest
-
-python_test() {
- if ! has "${EPYTHON}" pypy3 python3.{8..10}; then
- einfo "Skipping tests on ${EPYTHON}"
- return
- fi
-
- local -x EPYTEST_DESELECT=(
- # these run pip to install stuff
- tests/backend/dep/test_core.py::test_dependency_found
- tests/backend/dep/test_core.py::test_extra_met
- tests/backend/dep/test_core.py::test_extra_no_dependencies
- tests/backend/dep/test_core.py::test_extra_unmet
- tests/backend/dep/test_core.py::test_unknown_extra
- tests/backend/dep/test_core.py::test_version_unmet
- )
-
- # top-level "tests" directory contains tests both for hatch
- # and hatchling
- cd "${WORKDIR}/${MY_P}" || die
- local -x PYTHONPATH="src:${PYTHONPATH}"
- epytest tests/backend
-}
diff --git a/dev-python/hatchling/hatchling-1.0.0.ebuild b/dev-python/hatchling/hatchling-1.0.0.ebuild
deleted file mode 100644
index e17f56cfc860..000000000000
--- a/dev-python/hatchling/hatchling-1.0.0.ebuild
+++ /dev/null
@@ -1,74 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=standalone
-PYTHON_TESTED=( python3_{7,8,9,10} pypy3 )
-PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
-
-inherit distutils-r1
-
-TAG=${P/-/-v}
-MY_P=hatch-${TAG}
-DESCRIPTION="Modern, extensible Python build backend"
-HOMEPAGE="
- https://pypi.org/project/hatchling/
- https://github.com/pypa/hatch/
-"
-SRC_URI="
- https://github.com/pypa/hatch/archive/${TAG}.tar.gz
- -> ${MY_P}.tar.gz
-"
-S=${WORKDIR}/${MY_P}/backend
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
-
-RDEPEND="
- >=dev-python/editables-0.2[${PYTHON_USEDEP}]
- >=dev-python/packaging-21.3[${PYTHON_USEDEP}]
- >=dev-python/pathspec-0.9[${PYTHON_USEDEP}]
- >=dev-python/pluggy-1.0.0[${PYTHON_USEDEP}]
- >=dev-python/tomli-1.2.2[${PYTHON_USEDEP}]
-"
-BDEPEND="
- ${RDEPEND}
- test? (
- $(python_gen_cond_dep '
- dev-python/atomicwrites[${PYTHON_USEDEP}]
- dev-python/click[${PYTHON_USEDEP}]
- dev-python/httpx[${PYTHON_USEDEP}]
- dev-python/platformdirs[${PYTHON_USEDEP}]
- dev-python/rich[${PYTHON_USEDEP}]
- dev-python/tomli-w[${PYTHON_USEDEP}]
- dev-python/virtualenv[${PYTHON_USEDEP}]
- ' "${PYTHON_TESTED[@]}")
- )
-"
-
-distutils_enable_tests pytest
-
-python_test() {
- if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
- einfo "Skipping tests on ${EPYTHON}"
- return
- fi
-
- local -x EPYTEST_DESELECT=(
- # these run pip to install stuff
- tests/backend/dep/test_core.py::test_dependency_found
- tests/backend/dep/test_core.py::test_extra_met
- tests/backend/dep/test_core.py::test_extra_no_dependencies
- tests/backend/dep/test_core.py::test_extra_unmet
- tests/backend/dep/test_core.py::test_unknown_extra
- tests/backend/dep/test_core.py::test_version_unmet
- )
-
- # top-level "tests" directory contains tests both for hatch
- # and hatchling
- cd "${WORKDIR}/${MY_P}" || die
- local -x PYTHONPATH="src:${PYTHONPATH}"
- epytest tests/backend
-}
diff --git a/dev-python/hatchling/hatchling-1.1.0.ebuild b/dev-python/hatchling/hatchling-1.1.0.ebuild
deleted file mode 100644
index e17f56cfc860..000000000000
--- a/dev-python/hatchling/hatchling-1.1.0.ebuild
+++ /dev/null
@@ -1,74 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=standalone
-PYTHON_TESTED=( python3_{7,8,9,10} pypy3 )
-PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
-
-inherit distutils-r1
-
-TAG=${P/-/-v}
-MY_P=hatch-${TAG}
-DESCRIPTION="Modern, extensible Python build backend"
-HOMEPAGE="
- https://pypi.org/project/hatchling/
- https://github.com/pypa/hatch/
-"
-SRC_URI="
- https://github.com/pypa/hatch/archive/${TAG}.tar.gz
- -> ${MY_P}.tar.gz
-"
-S=${WORKDIR}/${MY_P}/backend
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
-
-RDEPEND="
- >=dev-python/editables-0.2[${PYTHON_USEDEP}]
- >=dev-python/packaging-21.3[${PYTHON_USEDEP}]
- >=dev-python/pathspec-0.9[${PYTHON_USEDEP}]
- >=dev-python/pluggy-1.0.0[${PYTHON_USEDEP}]
- >=dev-python/tomli-1.2.2[${PYTHON_USEDEP}]
-"
-BDEPEND="
- ${RDEPEND}
- test? (
- $(python_gen_cond_dep '
- dev-python/atomicwrites[${PYTHON_USEDEP}]
- dev-python/click[${PYTHON_USEDEP}]
- dev-python/httpx[${PYTHON_USEDEP}]
- dev-python/platformdirs[${PYTHON_USEDEP}]
- dev-python/rich[${PYTHON_USEDEP}]
- dev-python/tomli-w[${PYTHON_USEDEP}]
- dev-python/virtualenv[${PYTHON_USEDEP}]
- ' "${PYTHON_TESTED[@]}")
- )
-"
-
-distutils_enable_tests pytest
-
-python_test() {
- if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
- einfo "Skipping tests on ${EPYTHON}"
- return
- fi
-
- local -x EPYTEST_DESELECT=(
- # these run pip to install stuff
- tests/backend/dep/test_core.py::test_dependency_found
- tests/backend/dep/test_core.py::test_extra_met
- tests/backend/dep/test_core.py::test_extra_no_dependencies
- tests/backend/dep/test_core.py::test_extra_unmet
- tests/backend/dep/test_core.py::test_unknown_extra
- tests/backend/dep/test_core.py::test_version_unmet
- )
-
- # top-level "tests" directory contains tests both for hatch
- # and hatchling
- cd "${WORKDIR}/${MY_P}" || die
- local -x PYTHONPATH="src:${PYTHONPATH}"
- epytest tests/backend
-}
diff --git a/dev-python/hatchling/hatchling-1.2.0.ebuild b/dev-python/hatchling/hatchling-1.2.0.ebuild
deleted file mode 100644
index e17f56cfc860..000000000000
--- a/dev-python/hatchling/hatchling-1.2.0.ebuild
+++ /dev/null
@@ -1,74 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=standalone
-PYTHON_TESTED=( python3_{7,8,9,10} pypy3 )
-PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
-
-inherit distutils-r1
-
-TAG=${P/-/-v}
-MY_P=hatch-${TAG}
-DESCRIPTION="Modern, extensible Python build backend"
-HOMEPAGE="
- https://pypi.org/project/hatchling/
- https://github.com/pypa/hatch/
-"
-SRC_URI="
- https://github.com/pypa/hatch/archive/${TAG}.tar.gz
- -> ${MY_P}.tar.gz
-"
-S=${WORKDIR}/${MY_P}/backend
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
-
-RDEPEND="
- >=dev-python/editables-0.2[${PYTHON_USEDEP}]
- >=dev-python/packaging-21.3[${PYTHON_USEDEP}]
- >=dev-python/pathspec-0.9[${PYTHON_USEDEP}]
- >=dev-python/pluggy-1.0.0[${PYTHON_USEDEP}]
- >=dev-python/tomli-1.2.2[${PYTHON_USEDEP}]
-"
-BDEPEND="
- ${RDEPEND}
- test? (
- $(python_gen_cond_dep '
- dev-python/atomicwrites[${PYTHON_USEDEP}]
- dev-python/click[${PYTHON_USEDEP}]
- dev-python/httpx[${PYTHON_USEDEP}]
- dev-python/platformdirs[${PYTHON_USEDEP}]
- dev-python/rich[${PYTHON_USEDEP}]
- dev-python/tomli-w[${PYTHON_USEDEP}]
- dev-python/virtualenv[${PYTHON_USEDEP}]
- ' "${PYTHON_TESTED[@]}")
- )
-"
-
-distutils_enable_tests pytest
-
-python_test() {
- if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
- einfo "Skipping tests on ${EPYTHON}"
- return
- fi
-
- local -x EPYTEST_DESELECT=(
- # these run pip to install stuff
- tests/backend/dep/test_core.py::test_dependency_found
- tests/backend/dep/test_core.py::test_extra_met
- tests/backend/dep/test_core.py::test_extra_no_dependencies
- tests/backend/dep/test_core.py::test_extra_unmet
- tests/backend/dep/test_core.py::test_unknown_extra
- tests/backend/dep/test_core.py::test_version_unmet
- )
-
- # top-level "tests" directory contains tests both for hatch
- # and hatchling
- cd "${WORKDIR}/${MY_P}" || die
- local -x PYTHONPATH="src:${PYTHONPATH}"
- epytest tests/backend
-}
diff --git a/dev-python/hatchling/hatchling-1.3.0.ebuild b/dev-python/hatchling/hatchling-1.3.0.ebuild
deleted file mode 100644
index e17f56cfc860..000000000000
--- a/dev-python/hatchling/hatchling-1.3.0.ebuild
+++ /dev/null
@@ -1,74 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=standalone
-PYTHON_TESTED=( python3_{7,8,9,10} pypy3 )
-PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
-
-inherit distutils-r1
-
-TAG=${P/-/-v}
-MY_P=hatch-${TAG}
-DESCRIPTION="Modern, extensible Python build backend"
-HOMEPAGE="
- https://pypi.org/project/hatchling/
- https://github.com/pypa/hatch/
-"
-SRC_URI="
- https://github.com/pypa/hatch/archive/${TAG}.tar.gz
- -> ${MY_P}.tar.gz
-"
-S=${WORKDIR}/${MY_P}/backend
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
-
-RDEPEND="
- >=dev-python/editables-0.2[${PYTHON_USEDEP}]
- >=dev-python/packaging-21.3[${PYTHON_USEDEP}]
- >=dev-python/pathspec-0.9[${PYTHON_USEDEP}]
- >=dev-python/pluggy-1.0.0[${PYTHON_USEDEP}]
- >=dev-python/tomli-1.2.2[${PYTHON_USEDEP}]
-"
-BDEPEND="
- ${RDEPEND}
- test? (
- $(python_gen_cond_dep '
- dev-python/atomicwrites[${PYTHON_USEDEP}]
- dev-python/click[${PYTHON_USEDEP}]
- dev-python/httpx[${PYTHON_USEDEP}]
- dev-python/platformdirs[${PYTHON_USEDEP}]
- dev-python/rich[${PYTHON_USEDEP}]
- dev-python/tomli-w[${PYTHON_USEDEP}]
- dev-python/virtualenv[${PYTHON_USEDEP}]
- ' "${PYTHON_TESTED[@]}")
- )
-"
-
-distutils_enable_tests pytest
-
-python_test() {
- if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
- einfo "Skipping tests on ${EPYTHON}"
- return
- fi
-
- local -x EPYTEST_DESELECT=(
- # these run pip to install stuff
- tests/backend/dep/test_core.py::test_dependency_found
- tests/backend/dep/test_core.py::test_extra_met
- tests/backend/dep/test_core.py::test_extra_no_dependencies
- tests/backend/dep/test_core.py::test_extra_unmet
- tests/backend/dep/test_core.py::test_unknown_extra
- tests/backend/dep/test_core.py::test_version_unmet
- )
-
- # top-level "tests" directory contains tests both for hatch
- # and hatchling
- cd "${WORKDIR}/${MY_P}" || die
- local -x PYTHONPATH="src:${PYTHONPATH}"
- epytest tests/backend
-}
diff --git a/dev-python/hatchling/hatchling-1.3.1.ebuild b/dev-python/hatchling/hatchling-1.3.1.ebuild
index 114864373972..3e32c73a72e0 100644
--- a/dev-python/hatchling/hatchling-1.3.1.ebuild
+++ b/dev-python/hatchling/hatchling-1.3.1.ebuild
@@ -24,7 +24,7 @@ S=${WORKDIR}/${MY_P}/backend
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc x86"
RDEPEND="
>=dev-python/editables-0.2[${PYTHON_USEDEP}]
diff --git a/dev-python/hatchling/metadata.xml b/dev-python/hatchling/metadata.xml
index 7ad11570cc7d..a0d4c5913ba0 100644
--- a/dev-python/hatchling/metadata.xml
+++ b/dev-python/hatchling/metadata.xml
@@ -6,4 +6,5 @@
</maintainer>
<origin>gentoo-staging</origin>
+ <stabilize-allarches/>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 6b79da3e76bd..e041fb85ae87 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -1,4 +1,5 @@
DIST hypothesis-hypothesis-python-6.46.11.gh.tar.gz 9312248 BLAKE2B 78b5ca5bd38bd62d2fe50ab929df075e253c059aed329d6b52051fb01449f8de84ae340ba42a4af94ef592411139a45d34aad232fe4bb2d8412165730bbeca01 SHA512 6fdd54f28d275eb65a4f6e6919437d503eba6254c25e22298c34ac67e6de03cd99a5178b1a475b1da7f7afeed8406e89c20b4818436143f442222d26f0d94796
DIST hypothesis-hypothesis-python-6.47.1.gh.tar.gz 9314265 BLAKE2B c2ad0120ab2cbd565f73d472f0a5a87e4b51ff9cf7c08d75dbc54223ad9fe60ed475577ca7dced64ab02d4cc1ee5d30525677c4acfe720af8251f804e72a3b00 SHA512 1aea9f949242d3a273584cd92e1829654d6ce385efcd631b412374f1f9252d3b759b8e216aaa9a49e26e0c3b12673348eac79d0189881f6a811f11daf14b0873
DIST hypothesis-hypothesis-python-6.47.2.gh.tar.gz 9314053 BLAKE2B df607e7d81a280d916cc3946c71f6b2a6c7004263069e83d2647222730d11276b6c246fedbb07c5a4f3c526df38d6ea5c7999bdb416f0c86b0877d0231418c73 SHA512 b58835fac221353ea9beff227dda81f7776e2b50f6a765e536c83bea129d5c5a862551423d9df5abbc0cf294b358c6c537c62add69b3d5a1f38b22e179d2f83c
+DIST hypothesis-hypothesis-python-6.47.3.gh.tar.gz 9314739 BLAKE2B 282b012e020fc6494b628ba629c576f604db831c219878ab92539fbd1d980f3363e490ef35f888b68902661dd82e682393641d13a882c1177d8570ec232b217a SHA512 c7231ff06ae5846f718e76c48ed4bb8a1fc0f9aff80c7ddd1ff0ead219eb93dcc7f9d5c5e591390661e81a33bcac79773ea620cfe3f246210114635f0c089144
DIST hypothesis-python-6.46.9.tar.gz 9311955 BLAKE2B f8cf7e216650401ea8a9b427311d10bc65a21b79eb231864c4ff429baea4600f8d84b05e4b94120551ebe17f1b4b99a65e76157efe9d0a133ad68c22b1c46452 SHA512 e4fed5210ba11977958d4d14f9fb32427b812ea7903f391bbf977ade7ae268770e846b0cd2193585f519a02681e4fabfead23eea5bcededaccc0e7a9857e98cf
diff --git a/dev-python/hypothesis/hypothesis-6.47.3.ebuild b/dev-python/hypothesis/hypothesis-6.47.3.ebuild
new file mode 100644
index 000000000000..6ce223317475
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.47.3.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.8 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,pytest_forked,_hypothesis_pytestplugin
+
+ epytest tests/cover tests/pytest tests/quality -n "$(makeopts_jobs)"
+}
+
+python_install() {
+ distutils-r1_python_install
+ if ! use cli || ! has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/networkx/Manifest b/dev-python/networkx/Manifest
index d8b40488e4b2..ab109773eba2 100644
--- a/dev-python/networkx/Manifest
+++ b/dev-python/networkx/Manifest
@@ -1,4 +1,5 @@
DIST networkx-2.8.1.tar.gz 1945388 BLAKE2B 5c7ee6826f952d6f834d88ab0ba82d11d8a171611f43750d8d64ca6adf428fb64e8c37ca9c03654941c6d67eb8b68710e4e923f008c99d724ad47d42c31dc75d SHA512 a85b6be14aabb4f4d5317f65fca1d681d93bb6defdb81c4fe59b06e9632816adaa322ae7e8f2277a78290f0ac6260438b503c79d4cbb39fcd37562e8325d89d3
DIST networkx-2.8.2.tar.gz 1945873 BLAKE2B 212f42d8da35bb7c29b6feae626bb21036807e26996ff663dbb22b54908448715cbf6509553e2379a208b4537f03c92a3183a74a8074f4d2edae9b97084e5a8b SHA512 5b1ca05a009f78d693f8dfedaa51650d7834e4870d1a08fd8ea27f1293cbaccd9b4a2fb5d146df491e8dfcda1ca538786b257fb9b1250a383c59ea2b54188f55
DIST networkx-2.8.3.tar.gz 1947042 BLAKE2B a9d098023df1db6c94d531eba8797348d81b7cd52e22bbd421109be2e604b599de3a9a30c847682b53ce395ecc0522351db5f2f21b194be5ebd05c42d751a43c SHA512 1bcf606868f7041c1f412c0d853779c99f74be675b11b32727d502b78f8a672872291addfc7c8cba6bc7f464c2306a412862063e141853ab91999d2c54315214
+DIST networkx-2.8.4.tar.gz 1951336 BLAKE2B f45708eb8a642ee2561caf6b82b8947cc0ed8a90e22ff3424c54db728f6ab91bbaf78c62da113d02325c8f56418690386143c74f2098c670fe102c4e5ec78b9d SHA512 3f874e08a55d924905506fabdba1540745f7a1a99745531b49442206b6cac9b911674441d2241bc2c3e8c173635d53f2e5677fe76936630236ffb3fa021b2f9a
DIST networkx-2.8.tar.gz 1937426 BLAKE2B 5a094177ed480c6f7cbdacb6795fc4f2e0aec53ed89a33e19d78f47830d46238f35b7cd76098f6e00397f7cbdf305256910b7930cbb2c775ed4c2b18d9bd596f SHA512 72cd6637faa4228f6c802cf36935b5460fdf9b6cf191c3b375810bfc3732823e3286bdc1e6cbf7e6a7ffde83d0cf3bca157ae27ff98c537d43fdb4b8ef45ef4b
diff --git a/dev-python/networkx/networkx-2.8.4.ebuild b/dev-python/networkx/networkx-2.8.4.ebuild
new file mode 100644
index 000000000000..1ca695f8803f
--- /dev/null
+++ b/dev-python/networkx/networkx-2.8.4.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_FULLY_TESTED=( python3_{8..10} )
+# networkx skips tests w/ missing deps and the available ones all pass w/ py3.11
+PYTHON_COMPAT=( "${PYTHON_FULLY_TESTED[@]}" )
+inherit distutils-r1 optfeature virtualx
+
+DESCRIPTION="Python tools to manipulate graphs and complex networks"
+HOMEPAGE="
+ https://networkx.org/
+ https://github.com/networkx/networkx/
+ https://pypi.org/project/networkx/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+
+BDEPEND="
+ test? (
+ >=dev-python/lxml-4.5[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.13[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/numpy-1.19[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.6.2[${PYTHON_USEDEP}]
+ ' "${PYTHON_FULLY_TESTED[@]}")
+ )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ # virtx implies nonfatal
+ nonfatal epytest -p no:django || die
+}
+
+src_install() {
+ distutils-r1_src_install
+ # those examples use various assets and pre-compressed files
+ docompress -x /usr/share/doc/${PF}/examples
+}
+
+pkg_postinst() {
+ optfeature "recommended dependencies" "dev-python/matplotlib dev-python/numpy dev-python/pandas dev-python/scipy"
+ optfeature "graph drawing and graph layout algorithms" "dev-python/pygraphviz dev-python/pydot"
+ optfeature "YAML format reading and writing" "dev-python/pyyaml"
+ optfeature "shapefile format reading and writing" "dev-python/gdal"
+ optfeature "GraphML XML format" "dev-python/lxml"
+}
diff --git a/dev-python/outcome/Manifest b/dev-python/outcome/Manifest
index 08ba4dcd8f2d..44a0b45bd729 100644
--- a/dev-python/outcome/Manifest
+++ b/dev-python/outcome/Manifest
@@ -1 +1,2 @@
DIST outcome-1.1.0.tar.gz 18675 BLAKE2B eef22274bb4d1ddd19fa223167b6c8ce96f015ac0b3b0609aed3717deb306087457ab068fd2466d492fcc5859d561e6d3172ad14611a937ec59a75b604565953 SHA512 65de1c0a38b8cbb041a9fc3a79518eeacea54ec87341846ae80a9a2075369f72a397f5aa747ae179eaac8f341a7e07cc1641555fbb809cc7924b2171f7f3d90e
+DIST outcome-1.2.0.gh.tar.gz 18147 BLAKE2B 19e99c8beb1c537a15040211e2fb2f30e425dbb6c81225f2b44720d52e26d8065f434949cd22f97d3a44b64d404077118842a7c85d38f1b7b01ec60d26ddaa39 SHA512 ac8f8738b000e50ace5fbf2c373c9d28f05e88fe40a11602dbb08c48d369f28651ca6c1269ce9ba4ebf1aa9701525e966c061f75313d8650e739934e3ad15003
diff --git a/dev-python/outcome/outcome-1.2.0.ebuild b/dev-python/outcome/outcome-1.2.0.ebuild
new file mode 100644
index 000000000000..452a2ca3c6fe
--- /dev/null
+++ b/dev-python/outcome/outcome-1.2.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Capture the outcome of Python function calls"
+HOMEPAGE="
+ https://github.com/python-trio/outcome/
+ https://pypi.org/project/outcome/
+"
+SRC_URI="
+ https://github.com/python-trio/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/attrs[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/async_generator[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs/source dev-python/sphinxcontrib-trio
diff --git a/dev-python/pivy/pivy-0.6.7.ebuild b/dev-python/pivy/pivy-0.6.7.ebuild
index 76c74c211af8..590a73bccb62 100644
--- a/dev-python/pivy/pivy-0.6.7.ebuild
+++ b/dev-python/pivy/pivy-0.6.7.ebuild
@@ -16,7 +16,7 @@ if [[ ${PV} == *9999 ]]; then
PIVY_REPO_URI="https://github.com/coin3d/pivy.git"
else
SRC_URI="https://github.com/coin3d/pivy/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~amd64 ~x86"
+ KEYWORDS="amd64 x86"
fi
LICENSE="ISC"
diff --git a/dev-python/proto-plus/Manifest b/dev-python/proto-plus/Manifest
index 314840a8b569..52c81221ee81 100644
--- a/dev-python/proto-plus/Manifest
+++ b/dev-python/proto-plus/Manifest
@@ -1,5 +1,4 @@
-DIST proto-plus-1.20.0.gh.tar.gz 65648 BLAKE2B 19cfcfde913896de83d17c36bacd7799a9f28ea20c4681266b2194c6521aef116f6a594df8be8912bdf55558d84a0ab09d283ec444ba114592ebb7017db257fe SHA512 1e399bc0ac686f33242c1d15c15255ec1815e94eaf87de03e5145cc6ed249048c3b8af081b70964cb7b6baf8286f6be2f461c3638331a2269a5b2d89976ffa6a
-DIST proto-plus-1.20.1.gh.tar.gz 66180 BLAKE2B ee0299c8e9c9882ce417f6f885df18cd833dfbad80e0e92ca4e589eea794b0b00577d4c01fa69790f97f31d8bdfd20f07f4c7601bdf6ee28a7427f0e56714eb4 SHA512 12d9f76230d592c68083421bbb40c4b57741545c238227a743c275820a4d7ae53ea45d7ae5e73495b14736a95aa96250e243220f8b9bb5c988c12a2f84f654d6
DIST proto-plus-1.20.3.gh.tar.gz 66941 BLAKE2B 359d95d37b8a4dad282cb9b33909982ffedca25cd3907583d689996d6e516143c0e4eb2b9bb06bc50e12fabe197f0622a3488cf21136decefe676980b20c7a9e SHA512 411089eb76508a5ca94d6b4228dd4bc1f8d01d4f5209bb2ab0e6e240d8061761c9c76cd03b3a4da7771b45a30df3b0ca4c17f7fca3ed6e710a9724ab7bc0f60d
DIST proto-plus-1.20.4.gh.tar.gz 67455 BLAKE2B 6121d8bd87127139b6b6c16055941cb320fb2a106ae5a95f77a949ffffaa99db474282255a88994d3194866c404633d953d8a136e55ddbd2163d8da08bbde8cc SHA512 f71aa0e956f63bb8dab205e2788185efd31bcd733299fedd4f24d407b3c1b3bfedc24e349769644025c6dbc8775e7743ee96be4dac2edc8b6406101a5da604df
DIST proto-plus-1.20.5.gh.tar.gz 67573 BLAKE2B d764c8afb4608c38b050c256930a7ea37ee8d5393518e3146a66d11d4fee1cf3b35142426442d014483bd1ac5b815b6445b0f2c2c04f404136aeb6031a944e54 SHA512 bf612f23af3cf30cceaf8ee2027a721cc37dbe7e17d0ce643c31361397409171f92e92a6b53163e747931c3b0da66edca638ae4014c096bc0e3a8f1bc5dc8e80
+DIST proto-plus-1.20.6.gh.tar.gz 67697 BLAKE2B 88fbf1086bc9430360316c89baaf6216d3f395792fbc2bf1336c22aeb4f912dedd5a4af73c5a10cf6536cdc4cf285c89d1d0a86afd4ee21c7e40b26d34631240 SHA512 5da41a8ddabb34a4083b622d60e59532cd7cb97e4fd243b796aded06ee0f6d9ba5ac847434aa8141b90cb3481d45fbc703de2f905ff4f4676a5d86d77a01c44c
diff --git a/dev-python/proto-plus/proto-plus-1.20.0.ebuild b/dev-python/proto-plus/proto-plus-1.20.0.ebuild
deleted file mode 100644
index a7ce3f3b4e95..000000000000
--- a/dev-python/proto-plus/proto-plus-1.20.0.ebuild
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright 2021-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Beautiful, Pythonic protocol buffers"
-HOMEPAGE="https://pypi.org/project/proto-plus/ https://github.com/googleapis/proto-plus-python"
-SRC_URI="
- https://github.com/googleapis/proto-plus-python/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-S="${WORKDIR}/${PN}-python-${PV}"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
- dev-python/protobuf-python[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/google-api-core[${PYTHON_USEDEP}]
- dev-python/grpcio[${PYTHON_USEDEP}]
- dev-python/pytz[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-distutils_enable_sphinx docs \
- dev-python/sphinx_rtd_theme
-
-src_prepare() {
- # https://github.com/pytest-dev/pytest/issues/9637#issuecomment-1031997415
- sed -i -e '/staticmethod/d' tests/test_datetime_helpers.py || die
- distutils-r1_src_prepare
-}
diff --git a/dev-python/proto-plus/proto-plus-1.20.1.ebuild b/dev-python/proto-plus/proto-plus-1.20.6.ebuild
index 606dc306b5e0..a4410da0d80a 100644
--- a/dev-python/proto-plus/proto-plus-1.20.1.ebuild
+++ b/dev-python/proto-plus/proto-plus-1.20.6.ebuild
@@ -9,7 +9,10 @@ PYTHON_COMPAT=( python3_{7,8,9,10} )
inherit distutils-r1
DESCRIPTION="Beautiful, Pythonic protocol buffers"
-HOMEPAGE="https://pypi.org/project/proto-plus/ https://github.com/googleapis/proto-plus-python"
+HOMEPAGE="
+ https://github.com/googleapis/proto-plus-python/
+ https://pypi.org/project/proto-plus/
+"
SRC_URI="
https://github.com/googleapis/proto-plus-python/archive/v${PV}.tar.gz
-> ${P}.gh.tar.gz
@@ -18,14 +21,15 @@ S="${WORKDIR}/${PN}-python-${PV}"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
RDEPEND="
- dev-python/protobuf-python[${PYTHON_USEDEP}]
+ <dev-python/protobuf-python-5[${PYTHON_USEDEP}]
+ >=dev-python/protobuf-python-3.19.0[${PYTHON_USEDEP}]
"
BDEPEND="
test? (
- dev-python/google-api-core[${PYTHON_USEDEP}]
+ >=dev-python/google-api-core-1.31.5[${PYTHON_USEDEP}]
dev-python/grpcio[${PYTHON_USEDEP}]
dev-python/pytz[${PYTHON_USEDEP}]
)
diff --git a/dev-python/pydevd/pydevd-2.8.0-r1.ebuild b/dev-python/pydevd/pydevd-2.8.0-r1.ebuild
index 075bc9001d2a..fe474383e2ab 100644
--- a/dev-python/pydevd/pydevd-2.8.0-r1.ebuild
+++ b/dev-python/pydevd/pydevd-2.8.0-r1.ebuild
@@ -16,7 +16,7 @@ S="${WORKDIR}/PyDev.Debugger-${MY_P}"
LICENSE="EPL-1.0"
SLOT="0"
-KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~m68k ppc ppc64 ~riscv ~s390 ~sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ppc ppc64 ~riscv ~s390 sparc x86"
# After removing and recompiling the prebuilt lib the tests fail?
# For some reason the test suite is executing a slightly different gdb command
diff --git a/dev-python/pyghmi/Manifest b/dev-python/pyghmi/Manifest
index 5a516a0fb762..e096f9db94ac 100644
--- a/dev-python/pyghmi/Manifest
+++ b/dev-python/pyghmi/Manifest
@@ -1,4 +1,2 @@
-DIST pyghmi-1.5.42.tar.gz 241338 BLAKE2B f005697a13517f707bc74132d54ebdcc3752409aa147fdc9e99143f1c6a0507e24725e8bc2bc07980e017e6c6fff9868f84bf02fb598a2b580531aba0b66eafc SHA512 ec191a9862a4e6f28a8dbcb54759ad5c3a81ca3f85ecd4c9bbad634a3392296d5aad49d809a099d2719f2235dee2fac962374a4109dee120a4aba521a589afd5
-DIST pyghmi-1.5.43.tar.gz 241608 BLAKE2B edda01665ca4bf5337f8e92aea0fe099597f4c516a3f750ae9747cf80a0710ffc4324c387f826b440f03d30ef68efe93a99122abf9edd03727e32a5e255858f2 SHA512 53f6c4685b395cb3673be8e78c1845c2b0e021d526eb96b3c53a039c7de03e546c7cc6cc1d15003fd1d70ac9d9d2ddadadb62b6b4ee5a95d30c854582bf2785f
-DIST pyghmi-1.5.44.tar.gz 243496 BLAKE2B 9f6a0618c19ff523db33069f63353eb3c262bcce2dae1b8b94ed103997a6a7ec1bb68a43cabbc9dcbbd78182e193ed5d8ef24877e7d6e5f2cc7c53d2a48bc002 SHA512 7c526cdbee3f4ee0fab4001380b860203d5afeaf247709c13815f2de15dd733bbcf275bb0e3667d03bb15cec11711cd50dc8d56a8035bdeb4cb9c75f0f651a9a
DIST pyghmi-1.5.45.tar.gz 243685 BLAKE2B cb84b9d5a2194a8be852870a967306abff226f065a8811636729f67b13bf5289268ce6e5130362998f047faee7efe3a577473f93acf800b5899de7d84569c10c SHA512 ed670ca2b7e6d21dd91198611a380dddb3a08073562c4e26a90805fb65eac0c410f217e8b3c91be21b0df399a77bb59ed5d87031ff74e89afa969462bfb5aeb7
+DIST pyghmi-1.5.47.tar.gz 243783 BLAKE2B 4611df2616c7681c10664b645969b40f85a41ea2f16c3bcd4123230e90087903e6d7265b0147d93f994a4af32a77750685230d4e977418ba129a3e2093f8065c SHA512 f4122537488ca05035603f15106646e539c5081ee71ba3fc1f37e8175ffe98dbbc59446fa4683816a4211b90bb9f82adea4c5d42e4ce8b2b301c35f862262394
diff --git a/dev-python/pyghmi/pyghmi-1.5.43.ebuild b/dev-python/pyghmi/pyghmi-1.5.43.ebuild
deleted file mode 100644
index 3f4d5d210c90..000000000000
--- a/dev-python/pyghmi/pyghmi-1.5.43.ebuild
+++ /dev/null
@@ -1,39 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="A pure python implementation of IPMI protocol"
-HOMEPAGE="
- https://opendev.org/x/pyghmi/
- https://pypi.org/project/pyghmi/
-"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
- >=dev-python/cryptography-2.1[${PYTHON_USEDEP}]
- dev-python/pbr[${PYTHON_USEDEP}]
- >=dev-python/python-dateutil-2.8.1[${PYTHON_USEDEP}]
- >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
- >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
- >=dev-python/sphinx-1.6.5[${PYTHON_USEDEP}]
- >=dev-python/subunit-1.0.0[${PYTHON_USEDEP}]
- >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
- >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests unittest
diff --git a/dev-python/pyghmi/pyghmi-1.5.44.ebuild b/dev-python/pyghmi/pyghmi-1.5.44.ebuild
deleted file mode 100644
index 3f4d5d210c90..000000000000
--- a/dev-python/pyghmi/pyghmi-1.5.44.ebuild
+++ /dev/null
@@ -1,39 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="A pure python implementation of IPMI protocol"
-HOMEPAGE="
- https://opendev.org/x/pyghmi/
- https://pypi.org/project/pyghmi/
-"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
- >=dev-python/cryptography-2.1[${PYTHON_USEDEP}]
- dev-python/pbr[${PYTHON_USEDEP}]
- >=dev-python/python-dateutil-2.8.1[${PYTHON_USEDEP}]
- >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
- >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
- >=dev-python/sphinx-1.6.5[${PYTHON_USEDEP}]
- >=dev-python/subunit-1.0.0[${PYTHON_USEDEP}]
- >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
- >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests unittest
diff --git a/dev-python/pyghmi/pyghmi-1.5.42.ebuild b/dev-python/pyghmi/pyghmi-1.5.47.ebuild
index 3f4d5d210c90..3f4d5d210c90 100644
--- a/dev-python/pyghmi/pyghmi-1.5.42.ebuild
+++ b/dev-python/pyghmi/pyghmi-1.5.47.ebuild
diff --git a/dev-python/pylint/Manifest b/dev-python/pylint/Manifest
index 75d789bb1bb0..8b7baaa165c3 100644
--- a/dev-python/pylint/Manifest
+++ b/dev-python/pylint/Manifest
@@ -1,2 +1,3 @@
DIST pylint-2.13.9.gh.tar.gz 1123216 BLAKE2B f80e88f565595b16bba650a009bfdd6d55efa65227898d145d4867c116c89c7ab5244c509382f0e9023404b4e46accb742334450ca7342394fb4d0abaccb8d03 SHA512 dcea90b1b1494d928f0b12dd2b50ee1d97a74efce18e0ef54ea02b52209a574977971e12db8f476edcf1bd646ca41c6a77bcf9a425c01af71bd29e54fd6c20b9
DIST pylint-2.14.1.gh.tar.gz 1270750 BLAKE2B 120cc78c3d76ccb10f88c94b5528f1ed42730b49ac7daea4c1e65cd82fa2aea2c7d77a3a26dcb84201c69afeceb538cddf1ba740af308b586624ee3d40656d49 SHA512 4be985bb78e4b2bd65a195b95fdeb2a95c59c82db2446c9c365b11f0ba57e2a3234a41865071272cb054647a15e7e1a8b48d034ca656a3a44ca509648f258c13
+DIST pylint-2.14.2.gh.tar.gz 1273238 BLAKE2B c242d1686f34c1b7bdefea29a031f43dfa40de8cf33f9ab7c23c7278d2abe0df63de28693717aa68b45eeeb4a7d3b8bf442ab85181826eea2282454ba04381b5 SHA512 977b84164f87cf7cf98f761d4a4977526c7098aeef4eea4cf057d6884ff368bd7ef52e483c1eb623f026343c8c6dcd961dd5301db8dd1ac9ba2ef4edb0c517fe
diff --git a/dev-python/pylint/pylint-2.14.2.ebuild b/dev-python/pylint/pylint-2.14.2.ebuild
new file mode 100644
index 000000000000..8c35e677c62d
--- /dev/null
+++ b/dev-python/pylint/pylint-2.14.2.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Python code static checker"
+HOMEPAGE="
+ https://pypi.org/project/pylint/
+ https://github.com/PyCQA/pylint/
+"
+SRC_URI="
+ https://github.com/pycqa/pylint/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="examples"
+
+# Make sure to check https://github.com/PyCQA/pylint/blob/main/setup.cfg#L43 on bumps
+# Adjust dep bounds!
+RDEPEND="
+ <dev-python/astroid-2.12[${PYTHON_USEDEP}]
+ >=dev-python/astroid-2.11.6[${PYTHON_USEDEP}]
+ >=dev-python/dill-0.2[${PYTHON_USEDEP}]
+ >=dev-python/isort-4.2.5[${PYTHON_USEDEP}]
+ <dev-python/isort-6[${PYTHON_USEDEP}]
+ >=dev-python/mccabe-0.6[${PYTHON_USEDEP}]
+ <dev-python/mccabe-0.8[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/tomli-1.1.0[${PYTHON_USEDEP}]
+ >=dev-python/tomlkit-0.10.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+"
+BDEPEND="
+ test? (
+ >=dev-python/GitPython-3[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ rm -rf pylint || die
+
+ local EPYTEST_DESELECT=(
+ # No need to run the benchmarks
+ tests/benchmark/test_baseline_benchmarks.py
+
+ # TODO
+ 'tests/test_functional.py::test_functional[forgotten_debug_statement_py37]'
+ 'tests/test_functional.py::test_functional[dataclass_with_field]'
+ 'tests/test_functional.py::test_functional[no_name_in_module]'
+ tests/checkers/unittest_typecheck.py::TestTypeChecker::test_nomember_on_c_extension_error_msg
+ tests/checkers/unittest_typecheck.py::TestTypeChecker::test_nomember_on_c_extension_info_msg
+ tests/config/pylint_config/test_run_pylint_config.py::test_invocation_of_pylint_config
+ )
+ epytest
+}
+
+python_install_all() {
+ if use examples ; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ docinto examples
+ dodoc -r examples/.
+ fi
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/python-debian/Manifest b/dev-python/python-debian/Manifest
index de536ceb6030..be797da053d3 100644
--- a/dev-python/python-debian/Manifest
+++ b/dev-python/python-debian/Manifest
@@ -1 +1,2 @@
DIST python-debian_0.1.43.tar.xz 175832 BLAKE2B 2b43da25392c844a3c8fa8e159695ef4c871c6620be88d286abde31b9285e3f005e3c20997617d24014fe94a1a3c446c8721f8d92c35018ac308da8703788bcd SHA512 510dd37ef65be2ee0f9c4c4c15010b94fc7c05c621de2cb25fee4f6e741f51dff2e4cdc333313bac8269bfa621533217b3f72ecbd8b0b6368aa52c54e5237bb6
+DIST python-debian_0.1.44.tar.xz 179372 BLAKE2B 39d19c46e956231cda7c1fdb3ca89f8ef579d61e6bff06b35114184b2596516b3a01f756ff8e34e9a0dab669658cce7b8fdbfa39ed770df376acf6c4c6fb1401 SHA512 34c627cf32647f196a4b41a8913fd9aaefcfd6c96d21cc8f9798723ac11dac371574f62af9e549437188f2f492cb80445e33f35c72b6fa8212223029371a7b33
diff --git a/dev-python/python-debian/python-debian-0.1.44.ebuild b/dev-python/python-debian/python-debian-0.1.44.ebuild
new file mode 100644
index 000000000000..81d123e3d2b6
--- /dev/null
+++ b/dev-python/python-debian/python-debian-0.1.44.ebuild
@@ -0,0 +1,48 @@
+# Copyright 2011-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python modules to work with Debian-related data formats"
+HOMEPAGE="
+ https://salsa.debian.org/python-debian-team/python-debian/
+ https://pypi.org/project/python-debian/
+"
+SRC_URI="mirror://debian/pool/main/${PN::1}/${PN}/${PN}_${PV}.tar.xz"
+
+LICENSE="GPL-2 GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+
+RDEPEND="
+ dev-python/chardet[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ app-arch/dpkg
+ )
+"
+
+distutils_enable_tests unittest
+
+python_prepare_all() {
+ # See debian/rules.
+ sed -e "s/__CHANGELOG_VERSION__/${PV}/" lib/debian/_version.py.in \
+ > lib/debian/_version.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ # See debian/rules.
+ "${EPYTHON}" lib/debian/doc-debtags > README.debtags || die
+}
+
+python_test() {
+ eunittest lib
+}
diff --git a/dev-python/qtawesome/qtawesome-1.1.1.ebuild b/dev-python/qtawesome/qtawesome-1.1.1.ebuild
deleted file mode 100644
index 627246f86030..000000000000
--- a/dev-python/qtawesome/qtawesome-1.1.1.ebuild
+++ /dev/null
@@ -1,39 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-inherit distutils-r1 virtualx
-
-MY_PN="QtAwesome"
-MY_P=${MY_PN}-${PV}
-
-DESCRIPTION="Enables iconic fonts such as Font Awesome in PyQt"
-HOMEPAGE="https://github.com/spyder-ide/qtawesome/ https://pypi.org/project/QtAwesome/"
-SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
-S=${WORKDIR}/${MY_P}
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 x86"
-
-RDEPEND="
- media-fonts/fontawesome
- dev-python/QtPy[pyqt5(+),gui,${PYTHON_USEDEP}]
-"
-
-DEPEND="test? ( dev-python/pytest-qt[${PYTHON_USEDEP}] )"
-
-distutils_enable_tests pytest
-distutils_enable_sphinx docs/source
-
-src_test() {
- virtx python_foreach_impl python_test
-}
-
-python_test() {
- # Tests fail with pyside2, so depend on QtPy[pyqt5] and explicitly run
- # the tests with pyqt5
- PYTEST_QT_API="pyqt5" epytest
-}
diff --git a/dev-python/zeroconf/Manifest b/dev-python/zeroconf/Manifest
index c3540d88e680..003ea3cb6cd2 100644
--- a/dev-python/zeroconf/Manifest
+++ b/dev-python/zeroconf/Manifest
@@ -1 +1,2 @@
DIST python-zeroconf-0.38.6.gh.tar.gz 134795 BLAKE2B 839d59d7c46d9ab16145e37bb58acc7a71072b00507ee0ae8325fea9a3ebc0e567f9e257937675f8eaf44095c7449f96e6bc42b82d34f75a39cc87fd29be2766 SHA512 274db525751191b0188a4f00505c795420f975de3f714f84f2207271ff484bb5de1c881c0ed00b1ad3a6265d5d461519cf46041ab907026d9e6937844bbab6af
+DIST python-zeroconf-0.38.7.gh.tar.gz 134866 BLAKE2B 060ffdc45d4ec8092cd278b99a74561fd1ea06aba3cdecadbd35c1c5e3f608befe3ced18009d8d64c5b37388ee57900b4b00a44c90d87923f259e798da5bb962 SHA512 a0ab90f30b843bc889daf95eab6d806a5e3fb4ffe5e3857c435f14a85de7b659b8386159f6428f05a34f2e3010f4582f7d3a55bbd6e6ede0008247821f666707
diff --git a/dev-python/zeroconf/zeroconf-0.38.7.ebuild b/dev-python/zeroconf/zeroconf-0.38.7.ebuild
new file mode 100644
index 000000000000..c5b4232dc58c
--- /dev/null
+++ b/dev-python/zeroconf/zeroconf-0.38.7.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+MY_P=python-zeroconf-${PV}
+DESCRIPTION="Pure Python Multicast DNS Service Discovery Library (Bonjour/Avahi compatible)"
+HOMEPAGE="
+ https://github.com/jstasiak/python-zeroconf/
+ https://pypi.org/project/zeroconf/
+"
+SRC_URI="
+ https://github.com/jstasiak/python-zeroconf/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/ifaddr-0.1.7[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # network
+ tests/test_core.py::Framework::test_close_multiple_times
+ tests/test_core.py::Framework::test_launch_and_close
+ tests/test_core.py::Framework::test_launch_and_close_context_manager
+ tests/test_core.py::Framework::test_launch_and_close_v4_v6
+ tests/test_core.py::Framework::test_launch_and_close_v6_only
+ tests/services/test_types.py::ServiceTypesQuery::test_integration_with_listener_ipv6
+
+ # fragile to timeouts (?)
+ tests/services/test_browser.py::test_service_browser_expire_callbacks
+ tests/utils/test_asyncio.py::test_run_coro_with_timeout
+)